# Delete Setting

<mark style="color:red;">**`DELETE`**</mark> `https://api.sfox.com/v1/enterprise/monetization/settings/:id`

This endpoint allows Partners to delete and deactivate a monetization setting. Once deleted, this monetization setting will no longer apply to future orders or transactions.

### Path Parameters

<table><thead><tr><th width="151">Name</th><th width="102">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code> <mark style="color:red;">required</mark></td><td>number</td><td>The monetization ID of the setting to be deleted</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;"><strong>200 OK</strong></mark></summary>

```json
{
    "data": {
        "success": true
    }
}
```

</details>

<details>

<summary><mark style="color:red;"><strong>422 Unprocessable Content</strong></mark></summary>

{% code title="Invalid ID" %}

```json
{
    "error": "Invalid monetization ID."
}
```

{% endcode %}

</details>

<details>

<summary><mark style="color:red;"><strong>403 Forbidden</strong></mark></summary>

{% code title="No permission" %}

```json
{
    "error": "Partner does not have permission to delete Feature Monetization."
}
```

{% endcode %}

</details>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

<pre class="language-sh"><code class="lang-sh">curl -X DELETE \
<strong>    -H "Authorization: Bearer ${ENTERPRISE_API_KEY}" \
</strong>    'https://api.sfox.com/v1/enterprise/monetization/settings/1310717'
</code></pre>

{% endtab %}

{% tab title="Javascript" %}

```javascript
const axios = require('axios');

const config = {
  method: 'delete',
  url: 'https://api.sfox.com/v1/enterprise/monetization/settings/1310717',
  headers: {
    'Authorization': `Bearer ${process.env.ENTERPRISE_API_KEY}`
  }
}

axios(config)
  .then((response) => {
    console.log(response.status);
    console.log(response.data);
  })
  .catch((error) => {
    console.error(error.response.status);
    console.error(error.response.data);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os

data = requests.delete(
  "https://api.sfox.com/v1/enterprise/monetization/settings/1310717",
  headers={
    "Authorization": f"Bearer {os.environ['ENTERPRISE_API_KEY']}"
  }
)
print(data.status_code)
print(data.json())
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/connect/rest-api/monetization/delete-setting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
